package es.verdnatura.presentation.view.feature.delivery.model

import java.text.SimpleDateFormat

class FreeLanceDeliveryInfoList(
    var list: List<DeliveryInfo> = listOf()
)

class CompanyInfoList(
    var list: List<DeliveryInfo> = listOf()
)

class DeliveryInfo(
    var name: String = "",
    var street: String = "",
    var city: String = "",
    var nif: String = "",
    var postCode: Int = 0
)

class ExpeditionInfoList(
    var list: List<ExpeditionInfoLog> = listOf()
)

class ExpeditionInfoLog(
    var description: String = "",
    var name: String = "",
    var created: String,
) {
    /* posiblidad de meter función directo en xml*/
    fun getDateString(): String {
        val format = SimpleDateFormat("dd/MM/yyy")
        // return format.format(created)
        return created
    }
}

class RouteDeliveryList(
    var list: List<RouteDelivery> = listOf()
)

class RouteDelivery(
    var id: Int,
    var created: String,
    var name: String

)

class Expedition(
    var id: Int
)
